NPoints=10;
NLoc=4;
NCond=3;
NSub=18;
[File,Path,FilePath]=ReadFilePath([],'*.txt.dat','Read .txt.dat file:');
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
fid=fopen(FilePath,'r','b');
Vec=fscanf(fid,'%g');
Mat=reshape(Vec,NPoints,NLoc,NSub,NCond);
fclose(fid);
for Ind=1:NSub
	Mat(:,:,Ind,:)=Mat(:,:,Ind,:)./sum(sum(sum(Mat(:,:,Ind,:))));
end
Vec=reshape(Mat,1,NPoints.*NLoc.*NSub.*NCond);
fid=fopen([FilePath '.rel'],'w','b'));
fprintf(fid,'%g\t',Vec); 
fclose(fid);
